### Function

# GtkListBoxFilterFunc

#### Declaration

    gboolean
    (* GtkListBoxFilterFunc) (
      GtkListBoxRow* row,
      gpointer user_data
    )

#### Description [src]

Will be called whenever the row changes or is added and lets you control if the row should be visible or not.

#### Parameters

`row`

  Type: `GtkListBoxRow`

  The row that may be filtered.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the row should be visible, `FALSE` otherwise.